Bug 868453 - please drop the ibus -> im-chooser dependency
Summary: please drop the ibus -> im-chooser dependency
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fujiwara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: depchain
TreeView+ depends on / blocked
 
Reported: 2012-10-19 22:22 UTC by Matthias Clasen
Modified: 2012-12-26 04:52 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-06 07:21:16 UTC
Type: Bug


Attachments (Terms of Use)

Description Matthias Clasen 2012-10-19 22:22:45 UTC
GNOME 3.6 brings its own input method chooser.
Having an im framework chooser application in the menus is confusing, now that we've choosen to integrate ibus. 
Please make it possible to use ibus in GNOME without installing im-chooser.

Comment 1 fujiwara 2012-10-22 02:59:56 UTC
Probably I think the fix is ok if it's not on time for f18 beta.
I will update ibus a few days later.

Comment 2 Fedora Update System 2012-11-14 06:38:32 UTC
ibus-1.4.99.20121109-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ibus-1.4.99.20121109-1.fc18

Comment 3 Fedora Update System 2012-11-14 06:38:50 UTC
ibus-1.4.99.20121109-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ibus-1.4.99.20121109-1.fc17

Comment 4 Fedora Update System 2012-11-14 19:48:12 UTC
Package ibus-1.4.99.20121109-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-1.4.99.20121109-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-18195/ibus-1.4.99.20121109-1.fc18
then log in and leave karma (feedback).

Comment 5 A S Alam 2012-11-15 00:40:33 UTC
Do KDE users need im-chooser with ibus?

Comment 6 fujiwara 2012-11-15 02:09:37 UTC
(In reply to comment #5)
> Do KDE users need im-chooser with ibus?

Probably we need to think a better solution of im-chooser and ibus-qt with KDE?

Comment 7 Fedora Update System 2012-11-20 04:34:44 UTC
ibus-1.4.99.20121109-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ibus-1.4.99.20121109-2.fc18

Comment 8 Fedora Update System 2012-11-20 04:35:01 UTC
ibus-1.4.99.20121109-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ibus-1.4.99.20121109-2.fc17

Comment 9 Fedora Update System 2012-12-06 07:21:19 UTC
ibus-1.4.99.20121109-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2012-12-10 09:31:42 UTC
ibus-1.4.99.20121109-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ibus-1.4.99.20121109-8.fc18

Comment 11 Fedora Update System 2012-12-10 09:32:08 UTC
ibus-1.4.99.20121109-8.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ibus-1.4.99.20121109-8.fc17

Comment 12 Fedora Update System 2012-12-15 03:15:37 UTC
ibus-1.4.99.20121109-8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2012-12-26 04:52:53 UTC
ibus-1.4.99.20121109-9.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.